Bug 1295175 - plplot contain problematic content
plplot contain problematic content
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: plplot (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2016-01-03 03:08 EST by mejiko
Modified: 2017-06-26 09:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-26 09:58:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mejiko 2016-01-03 03:08:59 EST
Hello.

plplot included non-free image. 
This is "Lena" (Lenna) image. (PGM and IMG file)

This file license (Copyright) is non-free, and this content is violate Fedora Packaging Guideline.

https://fedoraproject.org/wiki/Packaging:Guidelines#Code_Vs_Content

Thanks.
Comment 1 mejiko 2016-01-04 03:47:43 EST
I check source RPM (*.src.rpm) and source archive (E,g tar.gz, etc...).
Not Binary RPM (*.rpm).

Thanks.
Comment 2 mejiko 2016-01-04 04:57:00 EST
Additional Information

File Path:

"plplot-5.11.0/examples/octave/lena.img"
"plplot-5.11.0/examples/c/lena.pgm"
"plplot-5.11.0/examples/lena.pgm"


Why non-free ?

This file is copyrighted, and not fedora acceptable licensed content. 

Reference:
https://lintian.debian.org/tags/license-problem-non-free-img-lenna.html
Comment 3 Jan Kurik 2016-02-24 09:12:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora End Of Life 2017-02-28 04:52:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 5 Tom "spot" Callaway 2017-06-21 17:17:32 EDT
Upstream fixed this with this commit:
https://sourceforge.net/p/plplot/plplot/ci/1caa2370a9a48e0ab5a76f0908cda96a9d7b3592/

This fix is included in plplot 5.12.0.

My plan was to update was to update plplot and resolve this issue in rawhide. (Since this update bumps the sover, it is non-trivial to update this in released Fedora versions.)

However, I could not get it to pass the test suite.

One octave test fails with a screen full of:

5: *** PLPLOT ERROR, ABORTING OPERATION ***
5: UTF-8 string is malformed: ��ִ�~, aborting operation
5: 
5: *** PLPLOT ERROR, ABORTING OPERATION ***
5: UTF-8 string is malformed: ��ִ�~, aborting operation
5: Output file name is /home/spot/git/sandbox/plplot/plplot-5.12.0/fedora/ctest_examples_output_dir/x3

I also had to pass -DPLPLOT_USE_QT5=ON or the qt tests segfault.

Orion, lemme know if you want me to commit my changes to rawhide git. I also had to remove the qhull sed invocation, remove the cmake patches, and rework the multiarch patch.
Comment 6 Orion Poplawski 2017-06-21 17:22:55 EDT
The octave tests have been failing for a long time, and I've been ignoring them.  The build shouldn't fail because of them.

Feel free to commit your changes.  Thanks!
Comment 7 Tom "spot" Callaway 2017-06-23 16:41:30 EDT
plplot 5.12.0 is in rawhide. I leave it to Orion to determine whether to push it to any stable branches, or to apply the upstream commit that replaces the lena images.

Note You need to log in before you can comment on or make changes to this bug.